package com.quyunshuo.androidbaseframemvvm.common.constant

abstract class MMKVName {

    companion object {


        val PAY_TYPE: String
            get() = "PAY_TYPE"//支付方式
        val PRODUCT_DATA: String
            get() = "PRODUCT_DATA"//商品数据
        val CONNECT_STATE: String
            get() = "CONNECT_STATE"//账户连接状态
        val MANAGER_ID: String
            get() = "MANAGER_ID"//后台管理id
        val LANGUAGE_TYPE: String
            get() = "LANGUAGE_TYPE"//语言类型
        val MDB: String
            get() = "MDB"//支付通讯协议
        val CHANGE: String
            get() = "CHANGE"//找零功能
        val CONTACT_WAY: String
            get() = "CONTACT_WAY"//联系方式
        val CONTACT: String
            get() = "CONTACT"//联系人
        val AUTO_START_HOTSPOT: String
            get() = "AUTO_START_HOTSPOT"//开启自启热点
        val NAME_HOTSPOT: String
            get() = "NAME_HOTSPOT"//热点名称
        val PWD_HOTSPOT: String
            get() = "PWD_HOTSPOT"//热点密码
        val LONG_CLICK_SHOW_STATUS_BAR: String
            get() = "LONG_CLICK_SHOW_STATUS_BAR"//登录页长按显示状态栏
        val LUMINANCE: String
            get() = "LUMINANCE"//亮度
        val SIM: String
            get() = "SIM"//SIM 卡号
        val SIM_IMEI: String
            get() = "SIM_IMEI"//SIM_IMEI
        val CUT_SYSTEM_SET: String
            get() = "CUT_SYSTEM_SET"//切换系统设置
        val WIFI_HOTSPOT: String
            get() = "WIFI_HOTSPOT"//Wifi 热点
        val VOLUME: String
            get() = "VOLUME"//音量
        val PLAY_RULE: String
            get() = "PLAY_RULE"//播放规则
        val SETTING_TYPE: String
            get() = "SETTING_TYPE"//设置 item
        val LOGIN_USER: String
            get() = "LOGIN_USER"//登录的用户
        val SLEEP: String
            get() = "SLEEP"//休眠   true为休眠， false为不休眠
        val BLOCK: String
            get() = "BLOCK"//锁机   true为锁机， false为不锁机
        val OPEN_DEV: String
            get() = "open"//开机，还是关机


        val QUEUE_DATA: String
            get() = "QUEUE_DATA"//连接设备id

        //        val SYSTEM_ID: String
//            get()="SYSTEM_ID"//连接设备id
        val MACHINE_TYPE: String
            get() = "MACHINE_TYPE"//机型
        val CONTACTS_WAY: String
            get() = "CONTACTS_WAY"
        val CONTACTS_NAME: String
            get() = "CONTACTS_NAME"

        val PAPERTYPE: String
            //币值选择
            get() = "PAPERTYPE"
        val LOCAL_ALARM_CLOCK: String
            //本地闹钟
            get() = "LOCAL_ALARM_CLOCK"
        val ALARMCLOCK_TYPE: String
            //本地闹钟 开关
            get() = "ALARMCLOCK_TYPE"
        val SHOPPING_TROLLEY: String
            //购物车开关
            get() = "SHOPPING_TROLLEY"
        val SHOPPING_CART_SIZE: String
            //购物车可添加数量
            get() = "SHOPPING_CART_SIZE"
        val TWO_PRICE_DISCOUNT: String
            //第二件折扣
            get() = "TWO_PIECE_DISCOUNT"
        val THREE_PRICE_DISCOUNT: String
            //第三件折扣
            get() = "THREE_PIECE_DISCOUNT"
        val FIVE_PRICE_DISCOUNT: String
            //第五件折扣
            get() = "FIVE_PIECE_DISCOUNT"
        val TIPS_DISCOUNT_TEXT: String
            //折扣提示文本
            get() = "TIPS_DISCOUNT_TEXT"
        val PROMOTION_CODE: String
            //优惠码开关
            get() = "PROMOTION_CODE"
        val MAKE_CLEAN_PRICE: String
            //制作后清零金额
            get() = "MAKE_CLEAN_PRICE"
        val STAFF_LOGIN: String
            //员工登录
            get() = "STAFF_LOGIN"
        val DISCOUNT_FUNCTION: String
            //折扣功能
            get() = "DISCOUNT_FUNCTION"
        val AD_RULE: String
            //广告规则
            get() = "AD_RULE"
        val AUTO_RETURN_HOME: String
            //自动返回首页(分钟)
            get() = "AUTO_RETURN_HOME"
        val SLEEP_TEXT: String
            //休眠中文本
            get() = "SLEEP_TEXT"
        val LOGO_TEXT: String
            //休眠中文本
            get() = "LOGO_TEXT"
        val BILL_COUNTRY: String
            //国家纸币选择
            get() = "BILL_COUNTRY"
        val TTYS_NAYAX: String
            //nayax 串口号
            get() = "TTYS_NAYAX"
        val TTYS_MDB: String
            //MDB 串口号
            get() = "TTYS_MDB"
        val TTYS_PLC: String
            //PLC 串口号
            get() = "TTYS_PLC"
        val NAYAX_MODE: String
            //Nayax 模式
            get() = "NAYAX_MODE"
        val BILL_COLLOCATION: String
            //纸币 托管模式 false为不托管（不托管需要压钞）  true为托管（托管直接自己收钱）
            get() = "BILL_COLLOCATION"
        val MDB_LEVEL: String
            //MDB L3级别
            get() = "MDB_LEVEL"
        val MDB_RATE: String
            //MDB 倍率
            get() = "MDB_RATE"
        val CARD_TEXT: String
            //指引消费者刷卡文本
            get() = "CARD_TEXT"
        val BILL_TRUST: String
            //纸币托管
            get() = "BILL_TRUST"
        val MDB_CASH_SALE: String
            //MDB_CASH_SALE
            get() = "MDB_CASH_SALE"
        val DIY_PAY: String
            //定制支付方式 显示开关
            get() = "DIY_PAY"

        val CHANGE_FUNCTION: String
            //找零功能
            get() = "CHANGE_FUNCTION"
        val CHANGE_BILL: String
            //找零纸币
            get() = "CHANGE_BILL"
        val CHANGE_COIN: String
            //找零硬币
            get() = "CHANGE_COIN"
        val CHANGE_DOLLAR: String
            //找零一枚硬币等于的金额
            get() = "CHANGE_DOLLAR"
        val CHANGE_COIN_REP: String
            //找零硬币库存
            get() = "CHANGE_COIN_REP"
        val CHANGE_ALLOW_NUMBER: String
            //允许一次找零个数
            get() = "CHANGE_ALLOW_NUMBER"
        val CHANGE_WARNING_NUMBER: String
            //找零预警库存
            get() = "CHANGE_WARNING_NUMBER"
        val IS_UPDATE_PRODUCT: String
            //是否更新商品价格
            get() = "IS_UPDATE_PRODUCT"
        val IS_SHOW_CHANGLOGE: String
            //是否展示修改logo
            get() = "IS_SHOW_CHANGLOGE"
        val PRICE_UNIT: String
            //
            get() = "PRICE_UNIT"
    }

    // 这里可以继续添加其他常量

}